#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -notk -- "$@"

set auto_path "[split $env(TCLPATH) :] $auto_path"
set ARGV      [concat $argv0 $argv]
set ARGC      [llength $ARGV]

set inName axt.tab
set noise  3248700000    

set iseed  54321
set trials 1000

srand     $iseed

set t     [gdbRead table -in $inName]
set eList [gdbGetInfo $t -parms entries]

foreach e $eList \
   {
    set hi    [gdbGet $e HEIGHT]
    set ass   [gdbGet $e ASS]
    set ratio [gdbGet $e Z_A1]
    
    set sat   [expr $hi*$ratio]	
    set properror [expr ($noise/$hi)*sqrt(1+pow($ratio,2))]
	
    	
  #  set rList ""
#
#    for {set i 1} {$i <= $trials} {incr i} \
#       {
#        set nom   [expr $sat + $noise*[rand -gauss]]
#        set denom [expr $hi  + $noise*[rand -gauss]]
#
#        set r [expr $nom/$denom]

#        lappend rList $r
#       }

    #puts "$ass [getAvg $rList] [getStdDev $rList] $properror"
    puts "$ass $ratio $properror"
   }

exit 0
